Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class ManifestResource

    java.lang.Object
      org.apache.catalina.util.ManifestResource

public class ManifestResource
extends java.lang.Object

Representation of a Manifest file and its available extensions and required extensions

Version:
  $Revision: 1.4 $ $Date: 2003/07/31 20:56:25 $
Author:
  Greg Murray, Justyna Horwat

Field Summary
`static int` | `APPLICATION`
`static int` | `SYSTEM`
`static int` | `WAR`

Constructor Summary
`ManifestResource(java.lang.String resourceName, java.util.jar.Manifest manifest, int resourceType)`

Method Summary
`boolean` | `containsExtension(java.lang.String key)` Convienience method to check if this `ManifestResource` has an extension available.
`int` | `getAvailableExtensionCount()` Gets the number of available extensions
`java.util.HashMap` | `getAvailableExtensions()` Gets the map of available extensions
`int` | `getRequiredExtensionCount()` Gets the number of required extensions
`java.util.ArrayList` | `getRequiredExtensions()` Gets the list of required extensions
`java.lang.String` | `getResourceName()` Gets the name of the resource
`boolean` | `isFulfilled()` Returns `true` if all required extension dependencies have been meet for this `ManifestResource` object.
`boolean` | `requiresExtensions()` Convienience method to check if this `ManifestResource` has an requires extensions.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SYSTEM

    public static final int SYSTEM

See Also:
  Constant Field Values

### WAR

    public static final int WAR

See Also:
  Constant Field Values

### APPLICATION

    public static final int APPLICATION

See Also:
  Constant Field Values

Constructor Detail

### ManifestResource

    public ManifestResource(java.lang.String resourceName,
                            java.util.jar.Manifest manifest,
                            int resourceType)

Method Detail

### getResourceName

    public java.lang.String getResourceName()

  Gets the name of the resource

  Returns:
    The name of the resource

### getAvailableExtensions

    public java.util.HashMap getAvailableExtensions()

  Gets the map of available extensions

  Returns:
    Map of available extensions

### getRequiredExtensions

    public java.util.ArrayList getRequiredExtensions()

  Gets the list of required extensions

  Returns:
    List of required extensions

### getAvailableExtensionCount

    public int getAvailableExtensionCount()

  Gets the number of available extensions

  Returns:
    The number of available extensions

### getRequiredExtensionCount

    public int getRequiredExtensionCount()

  Gets the number of required extensions

  Returns:
    The number of required extensions

### requiresExtensions

    public boolean requiresExtensions()

  Convienience method to check if this `ManifestResource` has an requires extensions.

  Returns:
    true if required extensions are present

### containsExtension

    public boolean containsExtension(java.lang.String key)

  Convienience method to check if this `ManifestResource` has an extension available.

  Parameters:
    `key` - extension identifier
  Returns:
    true if extension available

### isFulfilled

    public boolean isFulfilled()

  Returns `true` if all required extension dependencies have been meet for this `ManifestResource` object.

  Returns:
    boolean true if all extension dependencies have been satisfied

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.